Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4576)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4577)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting concerning Fortran parameter variables
+!
+! 4540 2020-05-18 15:23:29Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -187,4 +190,8 @@
 !
 !-- Declare all global variables within the module (alphabetical order)
+    REAL(wp), PARAMETER ::  bio_fill_value = -9999.0_wp  !< set module fill value, replace by global fill value as soon as available
+    REAL(wp), PARAMETER ::  human_absorb = 0.7_wp  !< SW absorbtivity of a human body (Fanger 1972)
+    REAL(wp), PARAMETER ::  human_emiss = 0.97_wp  !< LW emissivity of a human body after (Fanger 1972)
+
     INTEGER(iwp) ::  bio_cell_level     !< cell level biom calculates for
 
@@ -209,8 +216,4 @@
 
     REAL(wp)    ::  bio_output_height  !< height output is calculated in m
-
-    REAL(wp), PARAMETER ::  bio_fill_value = -9999.0_wp  !< set module fill value, replace by global fill value as soon as available
-    REAL(wp), PARAMETER ::  human_absorb = 0.7_wp  !< SW absorbtivity of a human body (Fanger 1972)
-    REAL(wp), PARAMETER ::  human_emiss = 0.97_wp  !< LW emissivity of a human body after (Fanger 1972)
 
     REAL(wp), DIMENSION(:), ALLOCATABLE   ::  mrt_av_grid   !< time average mean
@@ -2270,10 +2273,11 @@
 !
 !-- Parameters for standard "Klima-Michel"
-    REAL(wp), PARAMETER :: actlev = 134.6862_wp  !< Workload by activity per standardized surface 
-                                                 !< (A_Du)
+    REAL(wp), PARAMETER :: actlev = 134.6862_wp  !< Workload by activity per standardized surface (A_Du)
     REAL(wp), PARAMETER :: eta = 0.0_wp          !< Mechanical work efficiency for walking on flat
                                                  !< ground (compare to Fanger (1972) pp 24f)
 !
 !-- Type of program variables
+    REAL(wp), PARAMETER :: eps = 0.0005  !< Accuracy in clothing insulation (clo) for evaluation the root of Fanger's PMV (pmva=0)
+
     INTEGER(iwp) :: ncount      !< running index
     INTEGER(iwp) :: nerr_cold   !< error number (cold conditions)
@@ -2281,7 +2285,4 @@
 
     LOGICAL :: sultrieness
-
-    REAL(wp), PARAMETER :: eps = 0.0005  !< Accuracy in clothing insulation (clo) for evaluation the
-                                         !< root of Fanger's PMV (pmva=0)
 
     REAL(wp) ::  clon           !< clo for neutral conditions   (clo)
@@ -2504,7 +2505,8 @@
 !-- Type of program variables
     INTEGER(iwp), PARAMETER  ::  max_iteration = 15_iwp       !< max number of iterations
+
+    REAL(wp),     PARAMETER  ::  guess_0       = -1.11e30_wp  !< initial guess
+
     INTEGER(iwp) ::  j       !< running index
-
-    REAL(wp),     PARAMETER  ::  guess_0       = -1.11e30_wp  !< initial guess
 
     REAL(wp) ::  clo_lower   !< lower limit of clothing insulation      (clo)
@@ -2788,5 +2790,5 @@
     REAL(wp) ::  dtmrt        !< difference mean radiation to air temperature
     REAL(wp) ::  pa           !< vapor pressure (hPa) with hard bounds
-    REAL(wp) ::  pa_p50       !< ratio actual water vapour pressure to that of relative humidity of 
+    REAL(wp) ::  pa_p50       !< ratio actual water vapour pressure to that of relative humidity of
                               !< 50 %
     REAL(wp) ::  pmv          !< temp storage og predicted mean vote
@@ -2973,5 +2975,5 @@
 !
 !-- Additional output variables of argument list:
-    REAL(wp), INTENT ( OUT ) ::  dperctm    !< Mean deviation perct (classical gt) to gt* (rational 
+    REAL(wp), INTENT ( OUT ) ::  dperctm    !< Mean deviation perct (classical gt) to gt* (rational
                                             !< gt calculated based on Gagge's rational PMV*)
     REAL(wp), INTENT ( OUT ) ::  dperctstd  !< dperctm plus its standard deviation times a factor
@@ -3039,8 +3041,8 @@
 !
 !-- Type of output argument
-    INTEGER(iwp), INTENT ( OUT ) ::  nerr !< Error indicator: 0 = o.k., +1 = denominator for 
+    INTEGER(iwp), INTENT ( OUT ) ::  nerr !< Error indicator: 0 = o.k., +1 = denominator for
                                           !< intersection = 0
 
-    REAL(wp),     INTENT ( OUT ) ::  dpmv_cold_res    !< Increment to adjust pmva according to the 
+    REAL(wp),     INTENT ( OUT ) ::  dpmv_cold_res    !< Increment to adjust pmva according to the
                                                       !< results of Gagge's 2 node model depending on the input
 !
@@ -3344,4 +3346,7 @@
 !
 !-- Internal variables
+    REAL(wp), PARAMETER :: eps = 0.0005_wp
+    REAL(wp), PARAMETER :: eta = 0.0_wp
+
     INTEGER(iwp) ::  ncount
     INTEGER(iwp) ::  nerr_cold
@@ -3349,7 +3354,4 @@
 
     LOGICAL ::  sultrieness
-
-    REAL(wp), PARAMETER :: eps = 0.0005_wp
-    REAL(wp), PARAMETER :: eta = 0.0_wp
 
 !    REAL(wp) ::  acti
@@ -3639,8 +3641,8 @@
 !
 !-- Internal variables
+    REAL(wp), PARAMETER  ::  time_equil = 7200.0_wp
+
     INTEGER(iwp) :: i         !< running index
     INTEGER(iwp) ::  niter    !< Running index
-
-    REAL(wp), PARAMETER  ::  time_equil = 7200.0_wp
 
     REAL(wp) ::  adjustrate        !< Max storage adjustment rate
@@ -3661,5 +3663,5 @@
     REAL(wp) ::  ws                !< wind speed                             (m/s)
     REAL(wp) ::  z1                !< Empiric factor for the adaption of the heat
-                                   !< ballance equation to the psycho-physical scale 
+                                   !< ballance equation to the psycho-physical scale
                                    !< (Equ. 40 in FANGER)
     REAL(wp) ::  z2                !< Water vapour diffution through the skin
@@ -4087,5 +4089,5 @@
           IF ( eswdif <= 0.0_wp )  esw = eswpot     !< Limit is evaporation
           IF ( eswdif > 0.0_wp )   esw = eswphy     !< Limit is sweat production
-          IF ( esw  > 0.0_wp )     esw = 0.0_wp     !< Sweat can't be evaporated, no more cooling 
+          IF ( esw  > 0.0_wp )     esw = 0.0_wp     !< Sweat can't be evaporated, no more cooling
                                                     !< effect
 !
Index: /palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4576)
+++ /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4577)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting concerning Fortran parameter variables
+!
+! 4542 2020-05-19 15:45:12Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -2884,4 +2887,6 @@
     IMPLICIT NONE
 
+    REAL(wp), PARAMETER ::  fill_value = -999.0_wp  !< value for the _FillValue attribute
+
     CHARACTER (LEN=*), INTENT(INOUT) ::  grid       !< name of vertical grid
     CHARACTER (LEN=*), INTENT(IN)    ::  mode       !< either 'xy', 'xz' or 'yz'
@@ -2902,7 +2907,4 @@
     LOGICAL, INTENT(INOUT) ::  two_d   !< flag parameter that indicates 2D variables
                                        !<  (horizontal cross sections)
-
-
-    REAL(wp), PARAMETER ::  fill_value = -999.0_wp  !< value for the _FillValue attribute
 
     REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(INOUT) ::  local_pf !< local
@@ -6531,12 +6533,4 @@
        INTEGER(iwp) ::  j            !<
 
-       REAL(wp)     ::  gamm         !<
-       REAL(wp)     ::  ser          !<
-       REAL(wp)     ::  tmp          !<
-       REAL(wp)     ::  x_gamm       !<
-       REAL(wp)     ::  xx           !<
-       REAL(wp)     ::  y_gamm       !<
-
-
        REAL(wp), PARAMETER  ::  stp = 2.5066282746310005_wp               !<
        REAL(wp), PARAMETER  ::  cof(6) = (/ 76.18009172947146_wp,                                  &
@@ -6547,4 +6541,12 @@
                                             -0.5395239384953E-5_wp /)     !<
 
+       REAL(wp)     ::  gamm         !<
+       REAL(wp)     ::  ser          !<
+       REAL(wp)     ::  tmp          !<
+       REAL(wp)     ::  x_gamm       !<
+       REAL(wp)     ::  xx           !<
+       REAL(wp)     ::  y_gamm       !<
+
+
        x_gamm = xx
        y_gamm = x_gamm
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 4576)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 4577)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting to follow the PALM coding standard
+!
+! 4546 2020-05-24 12:16:41Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -201,5 +204,5 @@
 !--       and the run crashes. Thus, if the file is not there, PARIN_O will be read. An ocean
 !--       precursor run will be the only situation where this can happen.
-          INQUIRE( FILE = 'PARIN' // TRIM( coupling_char ), EXIST = file_exist )
+          INQUIRE( FILE='PARIN' // TRIM( coupling_char ), EXIST=file_exist )
 
           IF ( file_exist )  THEN
@@ -209,5 +212,5 @@
           ENDIF
 
-          OPEN ( 11, FILE= TRIM( filename ), FORM = 'FORMATTED', STATUS = 'OLD', IOSTAT = ioerr )
+          OPEN ( 11, FILE=TRIM( filename ), FORM='FORMATTED', STATUS='OLD', IOSTAT=ioerr )
 
           IF ( ioerr /= 0 )  THEN
@@ -222,6 +225,6 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 13, FILE = 'BININ' // TRIM( coupling_char ) // myid_char, FORM = 'UNFORMATTED',&
-                        STATUS = 'OLD' )
+             OPEN ( 13, FILE='BININ' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',    &
+                        STATUS='OLD' )
           ELSE
 !
@@ -229,9 +232,9 @@
 !--          the global variables.
              IF ( .NOT. openfile(file_id)%opened_before )  THEN
-                OPEN ( 13, FILE = 'BININ' // TRIM( coupling_char ) // '/_000000',                  &
-                           FORM = 'UNFORMATTED', STATUS = 'OLD' )
+                OPEN ( 13, FILE='BININ' // TRIM( coupling_char ) // '/_000000', FORM='UNFORMATTED',&
+                           STATUS='OLD' )
              ELSE
-                OPEN ( 13, FILE = 'BININ' // TRIM( coupling_char ) // '/' // myid_char,            &
-                           FORM = 'UNFORMATTED', STATUS = 'OLD' )
+                OPEN ( 13, FILE='BININ' // TRIM( coupling_char ) // '/' // myid_char,              &
+                           FORM='UNFORMATTED', STATUS='OLD' )
              ENDIF
           ENDIF
@@ -240,6 +243,6 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 14, FILE = 'BINOUT' // TRIM( coupling_char ) // myid_char,                     &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 14, FILE='BINOUT' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',   &
+                        POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  THEN
@@ -254,6 +257,6 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 14, FILE = 'BINOUT' // TRIM(coupling_char)// '/' // myid_char,              &
-                           FORM = 'UNFORMATTED', IOSTAT = ioerr )
+                OPEN ( 14, FILE='BINOUT' // TRIM(coupling_char)// '/' // myid_char,                &
+                           FORM='UNFORMATTED', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
                    WRITE( 9, * )  '*** could not open "BINOUT' //                                  &
@@ -268,21 +271,21 @@
        CASE ( 15 )
 
-          OPEN ( 15, FILE = 'RUN_CONTROL' // TRIM( coupling_char ), FORM = 'FORMATTED' )
+          OPEN ( 15, FILE='RUN_CONTROL' // TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 16 )
 
-          OPEN ( 16, FILE = 'LIST_PROFIL' // TRIM( coupling_char ), FORM = 'FORMATTED' )
+          OPEN ( 16, FILE='LIST_PROFIL' // TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 17 )
 
-          OPEN ( 17, FILE = 'LIST_PROFIL_1D' // TRIM( coupling_char ), FORM = 'FORMATTED' )
+          OPEN ( 17, FILE='LIST_PROFIL_1D' // TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 18 )
 
-          OPEN ( 18, FILE = 'CPU_MEASURES' // TRIM( coupling_char ), FORM = 'FORMATTED' )
+          OPEN ( 18, FILE='CPU_MEASURES' // TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 19 )
 
-          OPEN ( 19, FILE = 'HEADER' // TRIM( coupling_char ), FORM = 'FORMATTED' )
+          OPEN ( 19, FILE='HEADER' // TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 20 )
@@ -292,6 +295,6 @@
           ENDIF
           IF ( myid_char == '' )  THEN
-             OPEN ( 20, FILE = 'DATA_LOG' // TRIM( coupling_char ) // '/_000000',                  &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 20, FILE='DATA_LOG' // TRIM( coupling_char ) // '/_000000', FORM='UNFORMATTED',&
+                        POSITION='APPEND' )
           ELSE
 #if defined( __parallel )
@@ -303,6 +306,6 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 20, FILE = 'DATA_LOG' // TRIM( coupling_char ) // '/' // myid_char,         &
-                           FORM = 'UNFORMATTED', POSITION = 'APPEND', IOSTAT = ioerr )
+                OPEN ( 20, FILE='DATA_LOG' // TRIM( coupling_char ) // '/' // myid_char,           &
+                           FORM='UNFORMATTED', POSITION='APPEND', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
                    WRITE( 9, * )  '*** could not open "DATA_LOG' // TRIM( coupling_char ) // '/' //&
@@ -317,9 +320,9 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 21, FILE = 'PLOT2D_XY' // TRIM( coupling_char ) // myid_char,                  &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
-          ELSE
-             OPEN ( 21, FILE = 'PLOT2D_XY' // TRIM( coupling_char ),                               &
-                        FORM ='UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 21, FILE='PLOT2D_XY' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',&
+                        POSITION='APPEND' )
+          ELSE
+             OPEN ( 21, FILE='PLOT2D_XY' // TRIM( coupling_char ), FORM='UNFORMATTED',             &
+                        POSITION='APPEND' )
           ENDIF
 
@@ -336,9 +339,9 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 22, FILE = 'PLOT2D_XZ' // TRIM( coupling_char ) // myid_char,                  &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
-          ELSE
-             OPEN ( 22, FILE = 'PLOT2D_XZ' // TRIM( coupling_char ), FORM = 'UNFORMATTED',         &
-                        POSITION = 'APPEND' )
+             OPEN ( 22, FILE='PLOT2D_XZ' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',&
+                        POSITION='APPEND' )
+          ELSE
+             OPEN ( 22, FILE='PLOT2D_XZ' // TRIM( coupling_char ), FORM='UNFORMATTED',             &
+                        POSITION='APPEND' )
           ENDIF
 
@@ -355,9 +358,9 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 23, FILE = 'PLOT2D_YZ' // TRIM( coupling_char ) // myid_char,                  &
-                        FORM = 'UNFORMATTED', POSITION='APPEND' )
-          ELSE
-             OPEN ( 23, FILE = 'PLOT2D_YZ' // TRIM( coupling_char ), FORM = 'UNFORMATTED',         &
-                        POSITION = 'APPEND' )
+             OPEN ( 23, FILE='PLOT2D_YZ' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',&
+                        POSITION='APPEND' )
+          ELSE
+             OPEN ( 23, FILE='PLOT2D_YZ' // TRIM( coupling_char ), FORM='UNFORMATTED',             &
+                        POSITION='APPEND' )
           ENDIF
 
@@ -374,10 +377,10 @@
 !
 !--       Binary files for surface data
-          ! OPEN ( 25, FILE = 'SURFACE_DATA_BIN' // TRIM( coupling_char ) // myid_char,            &
-          !            FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+          ! OPEN ( 25, FILE='SURFACE_DATA_BIN' // TRIM( coupling_char ) // myid_char,               &
+          !            FORM='UNFORMATTED', POSITION='APPEND' )
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 25, FILE = 'SURFACE_DATA_BIN' // TRIM( coupling_char ) // myid_char,           &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 25, FILE='SURFACE_DATA_BIN' // TRIM( coupling_char ) // myid_char,             &
+                        FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  THEN
@@ -392,6 +395,6 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 25, FILE = 'SURFACE_DATA_BIN' // TRIM(coupling_char) //  '/' // myid_char,  &
-                           FORM = 'UNFORMATTED', IOSTAT = ioerr )
+                OPEN ( 25, FILE='SURFACE_DATA_BIN' // TRIM(coupling_char) //  '/' // myid_char,    &
+                           FORM='UNFORMATTED', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
                    WRITE( 9, * )  '*** could not open "SURFACE_DATA_BIN'// TRIM(coupling_char) //  &
@@ -406,10 +409,10 @@
 !
 !--       Binary files for averaged surface data
-          ! OPEN ( 26, FILE = 'SURFACE_DATA_AV_BIN' // TRIM( coupling_char ) // myid_char,         &
-          !        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+          ! OPEN ( 26, FILE='SURFACE_DATA_AV_BIN' // TRIM( coupling_char ) // myid_char,            &
+          !        FORM='UNFORMATTED', POSITION='APPEND' )
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 26, FILE = 'SURFACE_DATA_AV_BIN' // TRIM( coupling_char ) // myid_char,        &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 26, FILE='SURFACE_DATA_AV_BIN' // TRIM( coupling_char ) // myid_char,          &
+                        FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  THEN
@@ -424,9 +427,10 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 26, FILE = 'SURFACE_DATA_AV_BIN' // TRIM(coupling_char) // '/' // myid_char,&
-                           FORM = 'UNFORMATTED', IOSTAT = ioerr )
+                OPEN ( 26, FILE='SURFACE_DATA_AV_BIN' // TRIM( coupling_char ) // '/' // myid_char,&
+                           FORM='UNFORMATTED', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
-                   WRITE( 9, * )  '*** could not open "SURFACE_DATA_AV_BIN' // TRIM(coupling_char) &
-                                  // '/' // myid_char // '"! Trying again in 1 sec.'
+                   WRITE( 9, * )  '*** could not open "SURFACE_DATA_AV_BIN' //                     &
+                                  TRIM( coupling_char ) // '/' // myid_char //                     &
+                                  '"! Trying again in 1 sec.'
                    CALL fortran_sleep( 1 )
                 ENDIF
@@ -437,6 +441,5 @@
        CASE ( 30 )
 
-          OPEN ( 30, FILE = 'PLOT3D_DATA' // TRIM( coupling_char ) // myid_char,                   &
-                     FORM = 'UNFORMATTED' )
+          OPEN ( 30, FILE='PLOT3D_DATA' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED' )
 !
 !--       Specifications for combine_plot_fields
@@ -450,6 +453,6 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 80, FILE = 'PARTICLE_INFOS'//TRIM(coupling_char)//myid_char, &
-                        FORM = 'FORMATTED', POSITION='APPEND' )
+             OPEN ( 80, FILE='PARTICLE_INFOS'//TRIM(coupling_char)//myid_char, FORM='FORMATTED',   &
+                        POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND.  .NOT. openfile(80)%opened_before )  THEN
@@ -466,6 +469,6 @@
              ENDIF
 #endif
-             OPEN ( 80, FILE = 'PARTICLE_INFOS' // TRIM( coupling_char ) // '/' // myid_char,      &
-                        FORM = 'FORMATTED', POSITION = 'APPEND' )
+             OPEN ( 80, FILE='PARTICLE_INFOS' // TRIM( coupling_char ) // '/' // myid_char,        &
+                        FORM='FORMATTED', POSITION='APPEND' )
           ENDIF
 
@@ -477,6 +480,6 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 85, FILE = 'PARTICLE_DATA' // TRIM(coupling_char) // myid_char,                &
-                        FORM = 'UNFORMATTED', POSITION = 'APPEND' )
+             OPEN ( 85, FILE='PARTICLE_DATA' // TRIM(coupling_char) // myid_char,                  &
+                        FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND.  .NOT. openfile(85)%opened_before )  THEN
@@ -491,6 +494,6 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 85, FILE = 'PARTICLE_DATA' // TRIM( coupling_char ) // '/' // myid_char,    &
-                           FORM = 'UNFORMATTED', POSITION = 'APPEND', IOSTAT = ioerr )
+                OPEN ( 85, FILE='PARTICLE_DATA' // TRIM( coupling_char ) // '/' // myid_char,      &
+                           FORM='UNFORMATTED', POSITION='APPEND', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
                    WRITE( 9, * )  '*** could not open "PARTICLE_DATA' // TRIM( coupling_char ) //  &
@@ -519,10 +522,10 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 88, FILE = 'SVFIN' // TRIM( coupling_char ) // myid_char, FORM = 'UNFORMATTED',&
-                        STATUS = 'OLD', IOSTAT = ioerr )
-          ELSE
-
-             OPEN ( 88, FILE = 'SVFIN' // TRIM( coupling_char ) // '/' // myid_char,               &
-                        FORM = 'UNFORMATTED', STATUS = 'OLD', IOSTAT = ioerr )
+             OPEN ( 88, FILE='SVFIN' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',    &
+                        STATUS='OLD', IOSTAT=ioerr )
+          ELSE
+
+             OPEN ( 88, FILE='SVFIN' // TRIM( coupling_char ) // '/' // myid_char,                 &
+                        FORM='UNFORMATTED', STATUS='OLD', IOSTAT=ioerr )
           ENDIF
 
@@ -532,6 +535,6 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 89, FILE = 'SVFOUT' // TRIM( coupling_char ) // myid_char,                     &
-                        FORM = 'UNFORMATTED', STATUS = 'NEW' )
+             OPEN ( 89, FILE='SVFOUT' // TRIM( coupling_char ) // myid_char, FORM='UNFORMATTED',   &
+                        STATUS='NEW' )
           ELSE
              IF ( myid == 0  .AND.  .NOT. openfile(file_id)%opened_before )  THEN
@@ -546,8 +549,8 @@
              ioerr = 1
              DO WHILE ( ioerr /= 0 )
-                OPEN ( 89, FILE = 'SVFOUT' // TRIM(coupling_char) // '/' // myid_char,             &
-                           FORM = 'UNFORMATTED', STATUS = 'NEW', IOSTAT = ioerr )
+                OPEN ( 89, FILE='SVFOUT' // TRIM( coupling_char ) // '/' // myid_char,             &
+                           FORM='UNFORMATTED', STATUS='NEW', IOSTAT=ioerr )
                 IF ( ioerr /= 0 )  THEN
-                   WRITE( 9, * )  '*** could not open "SVFOUT' // TRIM(coupling_char) // '/' //    &
+                   WRITE( 9, * )  '*** could not open "SVFOUT' // TRIM( coupling_char ) // '/' //  &
                                   myid_char // '"! Trying again in 1 sec.'
                    CALL fortran_sleep( 1 )
@@ -561,6 +564,5 @@
        CASE ( 117 )
 
-          OPEN ( 117, FILE = 'PROGRESS' // TRIM( coupling_char ), STATUS = 'REPLACE',              &
-                      FORM = 'FORMATTED' )
+          OPEN ( 117, FILE='PROGRESS' // TRIM( coupling_char ), STATUS='REPLACE', FORM='FORMATTED' )
 
 #if defined( __netcdf )
@@ -578,5 +580,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its dimensions and variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
           IF ( netcdf_extend )  THEN
 !
@@ -618,5 +620,5 @@
 !--          that nothing is to do.
              IF ( myid == 0  .AND.  netcdf_data_format > 4 )  THEN
-                OPEN( 99, FILE = 'NO_COMBINE_PLOT_FIELDS_XY' )
+                OPEN( 99, FILE='NO_COMBINE_PLOT_FIELDS_XY' )
                 WRITE ( 99, '(A)' )  'no combine_plot_fields.x neccessary'
                 CLOSE( 99 )
@@ -638,5 +640,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its dimensions and variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
@@ -679,5 +681,5 @@
 !--          that nothing is to do.
              IF ( myid == 0  .AND.  netcdf_data_format > 4 )  THEN
-                OPEN( 99, FILE = 'NO_COMBINE_PLOT_FIELDS_XZ' )
+                OPEN( 99, FILE='NO_COMBINE_PLOT_FIELDS_XZ' )
                 WRITE ( 99, '(A)' )  'no combine_plot_fields.x neccessary'
                 CLOSE( 99 )
@@ -699,5 +701,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its dimensions and variables match the actual run.
-          INQUIRE( FILE = filename, EXIST=netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
@@ -740,5 +742,5 @@
 !--          that nothing is to do.
              IF ( myid == 0  .AND.  netcdf_data_format > 4 )  THEN
-                OPEN( 99, FILE = 'NO_COMBINE_PLOT_FIELDS_YZ' )
+                OPEN( 99, FILE='NO_COMBINE_PLOT_FIELDS_YZ' )
                 WRITE ( 99, '(A)' )  'no combine_plot_fields.x neccessary'
                 CLOSE( 99 )
@@ -755,5 +757,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
@@ -794,5 +796,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
@@ -839,5 +841,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its dimensions and variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
           IF ( netcdf_extend )  THEN
 !
@@ -998,5 +1000,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
@@ -1098,5 +1100,5 @@
 !--       Inquire, if there is a netCDF file from a previous run. This should be opened for
 !--       extension, if its variables match the actual run.
-          INQUIRE( FILE = filename, EXIST = netcdf_extend )
+          INQUIRE( FILE=filename, EXIST=netcdf_extend )
 
           IF ( netcdf_extend )  THEN
